' NOTA: puede usar el comando "Cambiar nombre" del menú contextual para cambiar el nombre de interfaz "IService1" en el código y en el archivo de configuración a la vez.
<ServiceContract(Namespace:="http://websol.aut.uah.es/ServiciosWeb/")>
Public Interface IServWebWCFConverTemps
  ' Operaciones del servicio
  <OperationContract()>
  Function ConvCentAFahr(gCent As Double) As Double

  <OperationContract()>
  Function ConvFahrACent(gFahr As Double) As Double

  <OperationContract()>
  Function ResultadoDetallado(detalle As Detalles) As Detalles
End Interface

' Utilice un contrato de datos, como se ilustra en el ejemplo siguiente, para agregar tipos compuestos a las operaciones de servicio.

<DataContract(Namespace:="http://websol.aut.uah.es/ServiciosWeb/")>
Public Class Detalles
  Private _sonCentigrados As Boolean
  Private _literal As String
  Private _grados As Double

  <DataMember()>
  Public Property SonCentigrados() As Boolean
    Get
      Return _sonCentigrados
    End Get
    Set(value As Boolean)
      _sonCentigrados = value
    End Set
  End Property

  <DataMember()>
  Public Property Literal() As String
    Get
      Return _literal
    End Get
    Set(value As String)
      _literal = value
    End Set
  End Property

  <DataMember()>
  Public Property Grados() As Double
    Get
      Return _grados
    End Get
    Set(value As Double)
      _grados = value
    End Set
  End Property
End Class
